Bug 1933808 (CVE-2020-11987)

Summary: CVE-2020-11987 batik: SSRF due to improper input validation by the NodePickerPanel
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aileenc, akurtako, andjrobins, chazlett, dbhole, drieden, ebaron, eclipse-sig, ggaughan, gmalinko, janstey, java-maint, java-sig-commits, jerboaa, jjohnstn, jkang, jochrist, jvanek, jwon, lef, mizdebsk, rgrunber
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: batik-1.14 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 23:10:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1933809, 1933810, 1938331, 1938332    
Bug Blocks: 1933811    

Description Guilherme de Almeida Suckevicz 2021-03-01 18:53:43 UTC
Apache Batik 1.13 is vulnerable to server-side request forgery, caused by improper input validation by the NodePickerPanel. By using a specially-crafted argument, an attacker could exploit this vulnerability to cause the underlying server to make arbitrary GET requests.

References:
https://xmlgraphics.apache.org/security.html
https://www.openwall.com/lists/oss-security/2021/02/24/2

Comment 1 Guilherme de Almeida Suckevicz 2021-03-01 18:54:18 UTC
Created batik tracking bugs for this issue:

Affects: fedora-all [bug 1933809]


Created eclipse tracking bugs for this issue:

Affects: fedora-all [bug 1933810]

Comment 3 Jonathan Christison 2021-03-03 17:35:05 UTC
This vulnerability is out of security support scope for the following products:

 * Red Hat JBoss Fuse 6
 
Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 6 Todd Cullum 2021-03-12 19:58:21 UTC
Flaw summary:

NodePickerPanel in batik was configured to load XML external Document Type Definitions (DTDs) and XML external entities. This allowed for crafted input to result in server-side request forgery, allowing an attacker to make arbitrary GET requests from the server. The patch disables external-general-entities, external-parameter-entities, and load-external-dtd in NodePickerPanel to prevent this.

Comment 7 Todd Cullum 2021-03-12 19:58:37 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options do not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 8 Todd Cullum 2021-03-12 19:58:57 UTC
External References:

https://xmlgraphics.apache.org/security.html

Comment 11 Jonathan Christison 2021-11-05 17:57:20 UTC
Although Baktik is distributed and used in Red Hat Fuse 7 we believe this vulnerability presents a low impact as the vulnerability occurs in Java Swing UI components of Batik (NodePickerPanel) and there is no use of this functionality.

Comment 12 errata-xmlrpc 2021-12-14 21:33:49 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.10

Via RHSA-2021:5134 https://access.redhat.com/errata/RHSA-2021:5134